"""
$RCSfile: SandboxInfo.py,v $

SandboxInfo encapsulates information about CVS sandboxes.

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""

__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2002/05/27 22:30:28 $'[6:-2]
__version__ = '$Revision: 1.2 $'[10:-2]

# Zope builtins
from AccessControl import ClassSecurityInfo
import Globals  # InitializeClass (security stuff)

class SandboxInfo(ClassSecurityInfo):

    _security = ClassSecurityInfo()

    # Set security for the object itself, e.g. if it is accessed in DTML code
    # This line is REQUIRED to allow access to SandboxInfo by the public
    _security.declareObjectPublic()

    def __init__(self, name='', basedir='', cvsroot=''):
        self.name    = name
        self.basedir = basedir
        self.cvsroot = cvsroot

    # Allow access from DTML scripts through the web
    _security.declarePublic('getname')
    def getname(self):
        return self.name

    # Allow access from DTML scripts through the web
    _security.declarePublic('getbasedir')
    def getbasedir(self):
        return self.basedir

    # Allow access from DTML scripts through the web
    _security.declarePublic('getcvsroot')
    def getcvsroot(self):
        return self.cvsroot

    def __str__(self):
        return "sandbox name: " +  self.name +  " basedir: " + \
               self.basedir + " cvsroot: " + self.cvsroot

# register security information
Globals.InitializeClass(SandboxInfo)
