"""
$RCSfile: __init__.py,v $

The CVSFile package is a Zope product.  CVSFile allows one to use
CVS as a version control system for Zope content, by pointing to a
file in the developer's local CVS sandbox.

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""
__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2002/05/28 01:30:24 $'[6:-2]
__version__ = '$Revision: 1.17 $'[10:-2]

import CVSFile, CVSSandboxRegistry

from CVSSandboxRegistry import manage_addCVSSandboxRegistryForm, \
     manage_addCVSSandboxRegistry, findCVSSandboxRegistry

from CVSFile import manage_addForm, manage_add, manage_add_with_upload, \
     cvsregistry_formpart, cvssandbox_formpart

from CVSFileBatch import manage_batch_addForm, manage_batch_add

from Products.ExternalFile.CreationDialog import manage_add_via_gui, \
     confirm_create_form, confirm_create_action, conflict_create_form, \
     create_standard_formpart, create_externalfile_formpart

from Products.ExternalFile.ExternalFileBatch import batch_create_form, \
     dirlist_func

from socket import gethostname

def initialize(context):
    """
    
    Initialize the CVSFile product.  This makes the object appear
    in the Zope product list menu.  initialize() is called by Zope
    when starting a Zope server.

    """

    try:
        context.registerClass(CVSFile.CVSFile,  # register this class in Zope
                              constructors = (
            manage_addForm,    # called when someone adds product to a folder
            cvsregistry_formpart,
            cvssandbox_formpart,            
            create_externalfile_formpart,
            create_standard_formpart,
            findCVSSandboxRegistry,
            manage_add_via_gui,
            confirm_create_form,
            conflict_create_form,
            confirm_create_action,
            gethostname,
            manage_add,
            manage_add_with_upload),
                              icon = 'www/fish.gif'
                              )

        context.registerClass(CVSSandboxRegistry.CVSSandboxRegistry,  # register this class in Zope
                              constructors = (
            manage_addCVSSandboxRegistryForm,    # called when someone adds product to a folder
            manage_addCVSSandboxRegistry),
                              icon = 'www/fish.gif'
                              )

        context.registerClass(CVSFileBatch.CVSFileBatch,
                              constructors = (
            manage_batch_addForm,
            batch_create_form,            
            manage_batch_add,
            findCVSSandboxRegistry,            
            dirlist_func,
            gethostname),
                              icon = 'www/fish.gif'
                              )

        context.registerHelp()
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
